<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <div class="container">
    <a class="navbar-brand" href="/">Bajar hamro</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
      aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="/">Home
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">About</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Services</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Contact</a>
        </li>
        <%if(user.Roles=="Admin"){%>
        <li class="nav-item">
          <a href="/" class="nav-link">Admin Panel</a>
        </li>
        <%}%>

            <%if(user){%>
        <li class="nav-item">
          <a href="/login/logout" class="nav-link">Logout</a>
          </li>
          <%if(user.Roles=="User"){%>
            <li class="nav-item">
                <a href="/cart/users/checkout" class="nav-link">My Cart(
                  <%if(typeof cart!== "undefined"){%>
                  <%=cart.length%>
                  <%}else{%>
                  0
                  <%}%>
                                )<a>
                            </li>
                  <a href="/user/edit/<%=user.id%>" class="nav-link">Edit Profile</a>
            <%}%>
     
                <%}%>
                  
            <%if(!user){%>
        <li class="nav-item">
          <a href="/user/createUser" class="nav-link">Register</a>
        </li>
        <li class="nav-item">
          <a href="/login/login" class="nav-link">Login</a>
        </li>
        <%}%>
        </ul>
      </div>
    </div>
  </nav>